Summary: TI Led configuration application
Name: TI_Linux-target-ledapp
Version: 0.1.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
Source0: TI-ledapp-%{version}.orig.tar.gz
Group: Filesystem

%define pkgname ti_linux-%{_hhl_target_arch}-ledapp
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
TI LED module configuring application

%package -n %{pkgname}
Summary: TI LED module configuring application
Group: system
AutoReqProv: no
%description -n %{pkgname}
TI base filesystem components

%Prep
%target_check
%setup -q -n TI-ledapp-%{version}

%Build
export PATH=%{TI_uclibc_path}:$PATH
%make KERNEL_DIR=%{TI_kernel_path}/%{TI_kernel_version}
%{_hhl_target_arch}-strip -s ledapp

%Install
%target_setup
install -m 0755 ledapp %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/ledapp

%clean
rm -rf *

%Files
%defattr(-,root,root)
%{TI_rsbindir}/ledapp


%changelog
* Fri Feb 7 2003 (Mukesh Kumar <mkumar@telogy.com>)
- Initial packaging of TI Led application





