Summary: stunnel
Name: actiontec-stunnel
Version: 4.05
Vendor: Actiontec
Release: TI%{TI_release_version}
Source0: stunnel_%{version}.orig.tar.gz

License: GPL
Group: Networking

%define pkgname actiontec-%{_hhl_target_arch}-stunnel
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This package provides the SSL/TLS support.

%package -n %{pkgname}
Summary: stunnel
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}
This package provides the SSL/TLS support.

%prep
%target_check
%setup -q -n stunnel-%{version}


%build
#cd ../stunnel-%{version}
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
#./configure --with-ssl=/usr/local/ssl --sysconfdir=/var/etc --with-random=/dev/urandom --with-tcp-wrappers=no --host=i686-linux
#--with-ssl=%{targetroot}/openssl-bin --with-pem-dir=DIR --with-cert-dir=DIR --with-cert-file=FILE --with-egd-socket=FILE 
#--build=i386-linux --host=mipsel-linux --sysconfdir=%{TI_filesystem_path}/var/etc
%make TI_FILESYSTEM=%{TI_filesystem_path}
strip -s src/stunnel

%install
#cd ../stunnel-%{version}
export PATH=%{TI_uclibc_path}:$PATH
%make -i prefix=%{TI_filesystem_path} install 
(cd  %{TI_base}%{TI_etcdir};ln -sf ../var/etc/stunnel/stunnel.conf stunnel.conf)
(cd  %{TI_base}%{TI_etcdir};ln -sf ../var/etc/stunnel/stunnel.pem stunnel.pem)

%clean
rm -rf *


%files 


%changelog





