/******************************************************************************   
 * FILE PURPOSE:     - LED ioctl Header                                           
 ******************************************************************************   
 * FILE NAME:     led_ioctl.h                                                     
 *                                                                                
 * DESCRIPTION:   Header file defining macros for ioctl commands.                 
 *                                                                                
 * REVISION HISTORY:                                                              
 * 11 Oct 03 - PSP TII                                                            
 *                                                                                
 * (C) Copyright 2002, Texas Instruments, Inc                                     
 *******************************************************************************/ 
#ifndef __LED_IOCTL__
#define __LED_IOCTL__

typedef struct led_mod{
unsigned char *name;
unsigned int instance;
unsigned int handle;
}LED_MODULE_T;

typedef struct led_state{
unsigned int handle;
unsigned int state_id;
}LED_STATE_T;

typedef struct led_state_new{
unsigned char *name;
unsigned int handle;
unsigned int state_id;
}LED_STATE_T_NEW;
#define LED_CONFIG           0
#define LED_GET_HANDLE       1
#define LED_ACTION           2
#define LED_RELEASE_HANDLE   3
//the following 3 are added by action_tec
#define LED_IP_UP           9
#define LED_KPRINTF         8
#define LED_ACTION_NEW      7
#ifdef ACTION_TEC_VERIZON_WRA
#define LED_STANDBY_UP           10
#endif
//#endif //ACTION_TEC
#endif /*  __LED_IOCTL__ */
