Summary: openssl library
Name: actiontec-openssl
Version: e_0.9.7c
Vendor: Actiontec
Release: TI%{TI_release_version}
Source0: openssl_%{version}.orig.tar.gz

License: GPL
Group: Networking

%define pkgname actiontec-%{_hhl_target_arch}-openssl
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This package provides the openssl library.

%package -n %{pkgname}
Summary: openssl library 
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}
This package provides the openssl library.

%prep
%target_check
%setup -q -n openssl-%{version}


%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
./Configure -DOPENSSL_EMBED shared no-asm no-bf no-cast no-ec no-err no-idea no-krb5 no-mdc2 no-rc5 no-ripemd no-hw -DOPENSSL_NO_PKCS12 -DOPENSSL_ERRSTR linux-mipsel 
#no-dh: TLS1 needs it!
#no-dsa 
#threads
#--prefix=%{targetroot}/openssl-bin --openssldir=%{targetroot}/openssl-bin/openssl linux-mipsel threads
#./config --prefix=%{targetroot}/openssl-bin --openssldir=%{targetroot}/openssl-bin/openssl threads no-shared no-asm
%make depend
#cd crypto
%make TI_FILESYSTEM=%{TI_filesystem_path}

%install
#cd ../openssl-%{version}
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
#%make TI_FILESYSTEM=%{TI_filesystem_path} install
strip -s libcrypto.so.0.9.7
strip -s libssl.so.0.9.7
cp -fl libcrypto.so* %{TI_build_home}/%{TI_linux_home}%{TI_rlibdir}/
cp -fl libcrypto.so* %{TI_uclibc_base}/lib/
cp -fl libssl.so* %{TI_build_home}/%{TI_linux_home}%{TI_rlibdir}/
cp -fl libssl.so* %{TI_uclibc_base}/lib/


%clean
rm -rf *


%files 


%changelog





