Summary: ATM bridging (2684)
Name: TI_Linux-target-br2684ctl
Version: 0.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Source0: br2684ctl_%{version}.orig.tar.gz

License: GPL
Group: Networking

%define pkgname ti_linux-%{_hhl_target_arch}-br2684ctl
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This package provides the br2684ctl utility which allows bridging ATM and 
Ethernet via the 2684 encapsulation protocol. The br2684ctl utilizes the 
Linux ATM libraries.

%package -n %{pkgname}
Summary: ATM bridging (2684)
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}
This package provides the br2684ctl utility which allows bridging ATM and 
Ethernet via the 2684 encapsulation protocol. The br2684ctl utilizes the 
Linux ATM libraries.

%prep
%target_check
%setup -q -n br2684ctl-%{version}


%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make TI_FILESYSTEM=%{TI_filesystem_path}
strip -s br2684ctl

%install
cd ../br2684ctl-%{version}
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make TI_FILESYSTEM=%{TI_filesystem_path} install

%clean
rm -rf *


%files 
%defattr(-,root,root)
%{TI_sbindir}/br2684ctl


%changelog
* Mon Oct 07 2002 (Jeff Harrell <jharrell@ti.com>)
- Pulled out libatm to seperate srpm
* Fri Aug 09 2002 (Jeff Harrell <jharrell@ti.com>)
- Modified br2684ctl to add showtime patch
* Thu Jul 11 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of br2684ctl





